package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumActivityExpired {


    YES(1, "过期"),
    NO(0, "未到期"),;

    public static EnumActivityExpired getEnum(Integer code) {
        for (EnumActivityExpired value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumActivityExpired(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
